/*
 * Work under Copyright. Licensed under the EUPL.
 * See the project README.md and LICENSE.txt for more information.
 */

package net.dries007.tfc.cmd;

import javax.annotation.ParametersAreNonnullByDefault;

import net.minecraft.command.CommandBase;
import net.minecraft.command.CommandException;
import net.minecraft.command.ICommandSender;
import net.minecraft.command.WrongUsageException;
import net.minecraft.entity.Entity;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemStack;
import net.minecraft.server.MinecraftServer;

import mcp.MethodsReturnNonnullByDefault;
import net.dries007.tfc.api.capability.heat.CapabilityItemHeat;
import net.dries007.tfc.api.capability.heat.IItemHeat;

@MethodsReturnNonnullByDefault
@ParametersAreNonnullByDefault
public class HeatCommand extends CommandBase
{
    @Override
    public String func_71517_b()
    {
        return "heat";
    }

    @Override
    public String func_71518_a(ICommandSender sender)
    {
        return "/heat <amount> -> sets the itemheat to amount";
    }

    @Override
    public void func_184881_a(MinecraftServer server, ICommandSender sender, String[] args) throws CommandException
    {
        if (args.length != 1) throw new WrongUsageException("1 argument required.");
        double heat = func_175756_a(args[0], 0, 1600);

        Entity e = sender.func_174793_f();
        if (e instanceof EntityPlayer)
        {
            EntityPlayer player = (EntityPlayer) e;
            ItemStack s = player.func_184614_ca();
            IItemHeat h = s.getCapability(CapabilityItemHeat.ITEM_HEAT_CAPABILITY, null);
            if (h == null)
                throw new WrongUsageException("The held item in mainhand does not have the item heat capability");
            h.setTemperature((float) heat);
            s.func_77982_d(h.serializeNBT());
        }
        else
        {
            throw new WrongUsageException("Can only be used by a player");
        }
    }
}
